<div class="p-fluid p-formgrid p-grid" [formGroup]="citizenServiceForm">
  <div class="p-field col-12">
    <label for="title">Titel</label>
    <input id="title" type="text" pInputText formControlName="title" />
    <div
      *ngIf="
        citizenServiceForm.get('title')?.invalid &&
        citizenServiceForm.get('title')?.touched
      "
      class="p-error"
    >
      Titel ist erforderlich.
    </div>
  </div>

  <div class="p-field col-12">
    <label for="description">Beschreibung</label>
    <textarea
      id="description"
      pInputTextarea
      formControlName="description"
    ></textarea>
    <div
      *ngIf="
        citizenServiceForm.get('description')?.invalid &&
        citizenServiceForm.get('description')?.touched
      "
      class="p-error"
    >
      Beschreibung ist erforderlich.
    </div>
  </div>

  <div class="p-field col-12">
    <label for="url">URL</label>
    <input id="url" type="text" pInputText formControlName="url" />
    <div
      *ngIf="
        citizenServiceForm.get('url')?.invalid &&
        citizenServiceForm.get('url')?.touched
      "
      class="p-error"
    >
      <div *ngIf="citizenServiceForm.get('url')?.errors?.['required']">
        URL ist erforderlich.
      </div>
      <div *ngIf="citizenServiceForm.get('url')?.errors?.['pattern']">
        Bitte geben Sie eine gültige URL ein.
      </div>
    </div>
  </div>

  <div class="p-field col-12">
    <p-checkbox
      id="visible"
      formControlName="visible"
      binary="true"
      label="Sichtbar"
    ></p-checkbox>
  </div>

  <div class="p-field col-12">
    <p-checkbox
      id="favorite"
      formControlName="favorite"
      binary="true"
      label="Favorit"
    ></p-checkbox>
  </div>

  <div class="col-12">
    <button
      pButton
      type="button"
      label="Bestätigen"
      (click)="onSubmit()"
      [disabled]="citizenServiceForm.invalid"
    ></button>
  </div>
  <div class="col-12">
    <button
      pButton
      type="button"
      label="Abbrechen"
      (click)="onCancel()"
    ></button>
  </div>
</div>
